#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Cotisation des membres de F6KRK.

fichier : cotisation.py
@author: bob
"""

# définition de classe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
class F6KRK:
    """Classe des membres de F6KRK."""
    
    # donnée : attribut de classe
    nb_membres = 0
    
    # méthodes
    def __init__(self, nom, cotisation="à jour"):
        """Constructeur."""
        self.membre = nom        # attribut d'instance
        self.cotis = cotisation  # attribut d'instance
        F6KRK.nb_membres += 1    # modification de l'attribut de classe
        
    def __str__(self):
        """Méthode d'affichage d'un objet."""
        return f"\n{self.membre}, adhérent n° {F6KRK.nb_membres}, cotisation {self.cotis}"

# Programme principal ==========================================================
Seb = F6KRK("Sébastien")
print(Seb)

Claude = F6KRK("Claude", cotisation="oubliée ?")
print(Claude)
